PMMLModel

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.pmml
Interface PMMLModel

All Known Implementing Classes:
  GeneralRegression, NeuralNetwork, PMMLClassifier, Regression

    public interface PMMLModel

Interface for all PMML models

Version:
  $Revision: 1.1 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)

Method Summary
`java.lang.String` | `getCreatorApplication()` Get the name of the application that created this model.
`Logger` | `getLog()` Get the logger.
`MiningSchema` | `getMiningSchema()` Get the mining schema.
`java.lang.String` | `getPMMLVersion()` Get the version of PMML used to encode this model.
`void` | `setCreatorApplication(org.w3c.dom.Document doc)` Set the name of the application (if specified) that created this.
`void` | `setLog(Logger log)` Set a logger to use.
`void` | `setPMMLVersion(org.w3c.dom.Document doc)` Set the version of the PMML.

Method Detail

### setPMMLVersion

    void setPMMLVersion(org.w3c.dom.Document doc)

  Set the version of the PMML.

  Parameters:
    `doc` - the Document encapsulating the pmml

### getPMMLVersion

    java.lang.String getPMMLVersion()

  Get the version of PMML used to encode this model.

  Returns:
    the version as a String

### setCreatorApplication

    void setCreatorApplication(org.w3c.dom.Document doc)

  Set the name of the application (if specified) that created this. model

  Parameters:
    `doc` - the Document encapsulating the pmml

### getCreatorApplication

    java.lang.String getCreatorApplication()

  Get the name of the application that created this model.

  Returns:
    the name of the creating application or null if not specified in the pmml.

### getMiningSchema

    MiningSchema getMiningSchema()

  Get the mining schema.

  Returns:
    the mining schema

### setLog

    void setLog(Logger log)

  Set a logger to use.

  Parameters:
    `log` - the logger to use

### getLog

    Logger getLog()

  Get the logger.

  Returns:
    the logger (or null if none is being used)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD